package redis

import "context"

// Listener provides the interface for all redis queues/pubsub
type Listener interface {
	Add(string) error
	Remove(string) error

	Listen(context.Context, func(string, []byte) error) error
	ListenChannel() error

	Length() int
	Restart() error
}
